Name:           maven-reporting-api
Version:        3.0
Release:        3%{?dist}
Epoch:          1
Summary:        Maven Reporting API
Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/shared/maven-reporting-api/
%if 0
svn export -r 1183581 http://svn.apache.org/repos/asf/maven/shared/tags/maven-reporting-api-3.0 && tar cjf maven-reporting-api-3.0.tar.bz2 maven-reporting-api-3.0
%endif
Source0:        %{name}-%{version}.tar.bz2
Obsoletes:      maven-shared-reporting-api <= 0:3.0
Provides:       maven-shared-reporting-api = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       maven-doxia >= 0:1.0
BuildRequires:  maven-doxia >= 0:1.0
BuildRequires:  java-devel
BuildRequires:  maven2
BuildRequires:  maven2-common-poms
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven-surefire-provider-junit
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
API to manage report generation.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q

%build
export MAVEN_OPTS="-Dproject.build.sourceEncoding=UTF-8 -Dfile.encoding=UTF-8"
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} install javadoc:aggregate

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p target/maven-reporting-api-%{version}.jar %{buildroot}%{_javadir}/maven-reporting-api-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{version}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-maven-reporting-api.pom
%add_to_maven_depmap org.apache.maven.shared maven-reporting-api %{version} JPP maven-reporting-api
if [ "x%{name}" != "xmaven-reporting-api" ]; then %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/maven-reporting-api; fi

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/maven-reporting-api-%{version}
%{__cp} -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/maven-reporting-api-%{version}
%{__ln_s} maven-reporting-api-%{version} %{buildroot}%{_javadocdir}/maven-reporting-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}*/maven-reporting-api-%{version}.jar
%{_javadir}*/maven-reporting-api.jar
%{_datadir}/maven2/poms/JPP-maven-reporting-api.pom
%{_mavendepmapfragdir}/maven-reporting-api

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/maven-reporting-api-%{version}
%{_javadocdir}/maven-reporting-api

%changelog
* Fri Oct 14 2011 David Walluck <dwalluck@redhat.com> 3.0-3
- fix Obsoletes/Provides

* Fri Oct 14 2011 David Walluck <dwalluck@redhat.com> 3.0-2
- fix (Build)Requires

* Fri Oct 14 2011 David Walluck <dwalluck@redhat.com> 3.0-1
- release
